Prompt Granting roles...
Set Define "&"
Set Verify  Off
Define GUI_BASE_ROLE_NAME      = &DB_USER_ROOT._GUI_BASE_ROLE
Define DATA_CHNL_ROLE_NAME     = &DB_USER_ROOT._DATA_CHNL_ROLE
Define OPERATOR_ROLE_NAME      = &DB_USER_ROOT._OPERATOR_ROLE
Prompt Granting roles...
Grant Select, Insert, Update, Delete  On FRML_LABEL_DESC               To &GUI_BASE_ROLE_NAME;
Grant Select                          On FRML_LABEL_DESC_HIST          To &GUI_BASE_ROLE_NAME;
Grant Select                         On FRML_LABEL_DESC       To &DATA_CHNL_ROLE_NAME;
Grant Select                         On FRML_LABEL_DESC_HIST  To &DATA_CHNL_ROLE_NAME;
/* Object Grants */
Begin
  For recGrant In ( Select Object_Name ObjName
                     From Dba_Objects
                    Where Owner = Upper('&DB_USER_ROOT._ADMIN')
                      And Object_Type In ( 'FUNCTION',
                                           'PACKAGE',
                                           'PROCEDURE' ) )
  Loop
    Execute Immediate('Grant Execute On ' ||
                      recGrant.ObjName    ||
                      ' To &OPERATOR_ROLE_NAME');
  End Loop;
  For recGrant In ( Select Object_Name ObjName
                     From Dba_Objects
                    Where Owner = Upper('&DB_USER_ROOT._ADMIN')
                      And Object_Type In ( 'SEQUENCE',
                                           'VIEW' ) )
  Loop
    Execute Immediate('Grant Select On ' ||
                      recGrant.ObjName    ||
                      ' To &OPERATOR_ROLE_NAME');
  End Loop;
  For recGrant In ( Select Object_Name ObjName
                     From Dba_Objects
                    Where Owner = Upper('&DB_USER_ROOT._ADMIN')
                      And Object_Type In ( 'TABLE' ) )
  Loop
    Execute Immediate('Grant Select, Insert, Update, Delete On ' ||
                      recGrant.ObjName    ||
                      ' To &OPERATOR_ROLE_NAME');
  End Loop;
End;
/
/* Undefinition */
UnDefine GUI_BASE_ROLE_NAME
UnDefine DATA_CHNL_ROLE_NAME
UnDefine OPERATOR_ROLE_NAME
Set Verify  On
/* End Of create_grants_v3079.sql */
