Prompt Creating triggers...
Set Define "&"
Prompt Creating Trigger TR_FLDE_AIR...
Create or Replace Trigger TR_FLDE_AIR
   After Insert
   On FRML_LABEL_DESC
   For Each Row
Declare
   vcTable Constant Varchar2(15) := 'FRML_LABEL_DESC';
Begin
   Pvm_History.Write_History( vcTable, 'I', :New.Int_Date,
                         :New.Idx_Frml,
                         :New.Int_Label,
                         Nvl(Pvm_Global.Audit_Origin, :New.Str_Origin),
                         Nvl(Pvm_Global.Audit_User, :New.Str_User) );
End; /* TR_FLDE_AIR */
/
Prompt Creating Trigger TR_FLDE_AUR...
Create or Replace Trigger TR_FLDE_AUR
   After Update
   On FRML_LABEL_DESC
   For Each Row
Declare
   vcTable Constant Varchar2(15) := 'FRML_LABEL_DESC';
Begin
   Pvm_History.Write_History( vcTable, 'U', :New.Int_Date,
                         :New.Idx_Frml,
                         :New.Int_Label,
                         Nvl(Pvm_Global.Audit_Origin, :New.Str_Origin),
                         Nvl(Pvm_Global.Audit_User, :New.Str_User) );
End; /* TR_FLDE_AUR */
/
Prompt Creating Trigger TR_FLDE_ADR...
Create or Replace Trigger TR_FLDE_ADR
   After Delete
   On FRML_LABEL_DESC
   For Each Row
Declare
   vcTable Constant Varchar2(15) := 'FRML_LABEL_DESC';
Begin
   Pvm_History.Write_History( vcTable, 'D', :Old.Int_Date,
                         :Old.Idx_Frml,
                         :Old.Int_Label,
                         Nvl(Pvm_Global.Audit_Origin, 'unknown'),
                         Nvl(Pvm_Global.Audit_User, 'unknown') );
End; /* TR_FLDE_ADR */
/
Set Verify  On
/* End of create_triggers_v3086.sql */
